## GladeClipboard

GladeClipboard — A list of GladeWidget objects not in any GladeProject.

## Functions

GladeClipboard * | glade_clipboard_new ()
void | glade_clipboard_add ()
void | glade_clipboard_remove ()
void | glade_clipboard_selection_add ()
void | glade_clipboard_selection_remove ()
void | glade_clipboard_selection_clear ()
gboolean | glade_clipboard_get_has_selection ()

## Properties

gboolean | has-selection | Read

## Types and Values

struct | GladeClipboard

## Object Hierarchy

        GObject
        ╰── GladeClipboard

## Description

The GladeClipboard is a singleton and is an accumulative shelf of all cut or copied GladeWidget in the application. A GladeWidget can be cut from one GladeProject and pasted to another.

## Functions

### glade_clipboard_new ()

    GladeClipboard *
    glade_clipboard_new (void);

#### Returns

a new GladeClipboard object

### glade_clipboard_add ()

    void
    glade_clipboard_add (GladeClipboard *clipboard,
                         GList *widgets);

Adds `widgets` to `clipboard` . This increases the reference count of each GladeWidget in `widgets` .

#### Parameters

clipboard | a GladeClipboard |
widgets | a GList of GladeWidgets |

### glade_clipboard_remove ()

    void
    glade_clipboard_remove (GladeClipboard *clipboard,
                            GList *widgets);

Removes `widgets` from `clipboard` .

#### Parameters

clipboard | a GladeClipboard |
widgets | a GList of GladeWidgets |

### glade_clipboard_selection_add ()

    void
    glade_clipboard_selection_add (GladeClipboard *clipboard,
                                   GladeWidget *widget);

### glade_clipboard_selection_remove ()

    void
    glade_clipboard_selection_remove (GladeClipboard *clipboard,
                                      GladeWidget *widget);

### glade_clipboard_selection_clear ()

    void
    glade_clipboard_selection_clear (GladeClipboard *clipboard);

### glade_clipboard_get_has_selection ()

    gboolean
    glade_clipboard_get_has_selection (GladeClipboard *clipboard);

#### Parameters

clipboard | a GladeClipboard |

#### Returns

TRUE if this clipboard has selected items to paste.

## Types and Values

### struct GladeClipboard

    struct GladeClipboard;

## Property Details

### The `“has-selection”` property

      “has-selection”            gboolean

Whether clipboard has a selection of items to paste.

Flags: Read

Default value: FALSE